cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PSL

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PSL

- All Implemented Interfaces:
    ISegment

      public class PSL
      extends Segment

  PSL - Product/Service Line Item Segment The Product/Service Line Item segment is used to identify individual product/service items that typically are aggregated into an Invoice.

  Represents an HL7 PSL message segment. This segment has the following fields:

  PSL-1 : Provider Product/Service Line Item Number (EI) Required
  PSL-2 : Payer Product/Service Line Item Number (EI) Optional
  PSL-3 : Product/Service Line Item Sequence Number (SI) Required
  PSL-4 : Provider Tracking ID (EI) Optional
  PSL-5 : Payer Tracking ID (EI) Optional
  PSL-6 : Product/Service Line Item Status (CWE) Required
  PSL-7 : Product/Service Code (CWE) Required
  PSL-8 : Product/Service Code Modifier (CWE) Optional
  PSL-9 : Product/Service Code Description (ST) Optional
  PSL-10 : Product/Service Effective Date (DTM) Conditional
  PSL-11 : Product/Service Expiration Date (DTM) Optional
  PSL-12 : Product/Service Quantity (CQ) Conditional
  PSL-13 : Product/Service Unit Cost (CP) Conditional
  PSL-14 : Number of Items per Unit (NM) Conditional
  PSL-15 : Product/Service Gross Amount (CP) Conditional
  PSL-16 : Product/Service Billed Amount (CP) Conditional
  PSL-17 : Product/Service Clarification Code Type (CWE) Optional
  PSL-18 : Product/Service Clarification Code Value (ST) Optional
  PSL-19 : Health Document Reference Identifier (EI) Optional
  PSL-20 : Processing Consideration Code (CWE) Optional
  PSL-21 : Restricted Disclosure Indicator (ID) Required
  PSL-22 : Related Product/Service Code Indicator (CWE) Optional
  PSL-23 : Product/Service Amount for Physician (CP) Optional
  PSL-24 : Product/Service Cost Factor (NM) Optional
  PSL-25 : Cost Center (CX) Optional
  PSL-26 : Billing Period (DR) Optional
  PSL-27 : Days without Billing (NM) Optional
  PSL-28 : Session-No (NM)Optional
  PSL-29 : Executing Physician ID (XCN) Optional
  PSL-30 : Responsible Physician ID (XCN) Optional
  PSL-32 : Medical Role Executing Physician (CWE) Optional
  PSL-33 : Side of body (CWE) Optional
  PSL-34 : Number of TP's PP (NM) Optional
  PSL-35 : TP-Value PP (CP) Optional
  PSL-36 : Internal Scaling Factor PP (NM) Optional
  PSL-37 : External Scaling Factor PP (NM) Optional
  PSL-38 : Amount PP (CP) Optional
  PSL-39 : Number of TP's Technical Part (NM) Optional
  PSL-40 : TP-Value Technical Part (CP) Optional
  PSL-41 : Internal Scaling Factor Technical Part (NM) Optional
  PSL-42 : External Scaling Factor Technical Part (NM) Optional
  PSL-43 : Amount Technical Part (CP) Optional
  PSL-44 : Total Amount Professional Part + Technical Part (CP) Optional
  PSL-45 : VAT-Rate (NM) Optional
  PSL-46 : Main-Service (ID) Optional
  PSL-47 : Validation (ID) Optional
  PSL-48 : Comment (ST) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSL()` Constructs the PSL segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCostCenter(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Cost Center (CX) .
    `void` | `addHealthDocumentReferenceIdentifier(EI objHealthDocumentReferenceIdentifier)` Set Health Document Reference Identifier (EI) This field is about Health Documents (electronic or paper) that support this Product/Service Line Item.
    `void` | `addHealthDocumentReferenceIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Health Document Reference Identifier (EI) This field is about Health Documents (electronic or paper) that support this Product/Service Line Item.
    `void` | `addProcessingConsiderationCode(CWE objProcessingConsiderationCode)` Set Processing Consideration Code (CWE) This field is about Codes indicating special processing requested of Payer for this Product/Service Line Item .
    `void` | `addProcessingConsiderationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Processing Consideration Code (CWE) This field is about Codes indicating special processing requested of Payer for this Product/Service Line Item .
    `void` | `addProductOrServiceClarificationCodeType(CWE objProductOrServiceClarificationCodeType)` Set Product/Service Clarification Code Type (CWE) This field is about Additional codes describing the Product/Service Code on PSL.
    `void` | `addProductOrServiceClarificationCodeType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Product/Service Clarification Code Type (CWE) This field is about Additional codes describing the Product/Service Code on PSL.
    `void` | `addProductOrServiceClarificationCodeValue(ST objProductOrServiceClarificationCodeValue)` Set Product/Service Clarification Code Value (ST) This field is about : Additional codes describing the Product/Service Code on PSL.
    `void` | `addProductOrServiceClarificationCodeValue(java.lang.String strProductOrServiceClarificationCodeValue)` Set Product/Service Clarification Code Value (ST) This field is about : Additional codes describing the Product/Service Code on PSL.
    `void` | `addProductOrServiceCodeModifier(CWE objProductOrServiceCodeModifier)` Set Product/Service CodeModifier Modifier (CWE) This field is about : Additional optional modifier(s) for the Product/Service Code .
    `void` | `addProductOrServiceCodeModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Product/Service Code Modifier (CWE) This field is about : Additional optional modifier(s) for the Product/Service Code .
    `CP` | `getAmountPP()` Retrieve Amount PP (CP) This field is about Total Amount for the professional part of this service.
    `CP` | `getAmountTechnicalPart()` Retrieve Amount Technical Part (CP) This field is about Total Amount for the technical part of this service.
    `DR` | `getBillingPeriod()` Retrieve Billing Period (DR) This field is about Begin and end of billing period.
    `ST` | `getComments()` Retrieve Comments (ST) This field is about Reason why the service line item has not passed the validator software.
    `CX` | `getCostCenter()` Retrieve Cost Center (CX) Cost centers are organizational units or activities that provide goods and services.
    `NM` | `getDaysWithoutBilling()` retrieve Days without Billing (NM) This field is about Number of Days for which no invoice is created.
    `XCN` | `getExecutingPhysicianID()` Retrieve Executing Physician ID (XCN) This field is about ID of the physician who is providing the Service, e.g., executing the radiology-exam (EAN ID = European Article Numbering).
    `NM` | `getExternalScalingFactorPP()` retrieve External Scaling Factor PP (NM) This field is about External Scaling Factor for the amount of the professional part of the service.
    `NM` | `getExternalScalingFactorTechnicalPart()` retrieve External Scaling Factor Technical Part (NM) This field is about External Scaling Factor for the amount of the technical part of the service.
    `ISingleCollection<EI>` | `getHealthDocumentreferenceIdentifier()` Retrieve Health Document Reference Identifier (EI) This field is about Health Documents (electronic or paper) that support this Product/Service Line Item.
    `NM` | `getInternalScalingFactorPP()` retrieve Internal Scaling Factor PP (NM) This field is about Internal Scaling Factor for the amount of the professional part of the service.
    `NM` | `getInternalScalingFactorTechnicalPart()` retrieve Internal Scaling Factor Technical Part (NM) This field is about Internal Scaling Factor for the amount of the technical part of the service.
    `ID` | `getMain_Service()` Retrieve Main-Service (ID) This field is about Main-Service .
    `CWE` | `getMedicalRoleExecutingPhysician()` retrieve Medical Role Executing Physician (CWE) This field is about The role of the Physician ("self-employed" or "employed").
    `NM` | `getNumberOfItemsPerUnit()` Retrieve Number of Items per Unit (NM) This field is about Number of items in each unit – for Services, this should be set to 1.
    `NM` | `getNumberOfTPsPP()` retrieve Number of TP's PP (NM) This field is about Cost of the service "professional part" expressed in "points".
    `NM` | `getNumberOfTPsTechnicalPart()` retrieve Number of TP's Technical Part (NM) This field is about Cost of the service (Technical Part) expressed in "points".
    `EI` | `getPayerProductOrServiceLineItemNumber()` Retrieve Payer Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Payer Application.
    `EI` | `getPayerTrackingID()` Retrieve Payer Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Payer Application.
    `ISingleCollection<CWE>` | `getProcessingConsiderationCode()` Retrieve Processing Consideration Code (CWE) This field is about Codes indicating special processing requested of Payer for this Product/Service Line Item .
    `CP` | `getProductOrServiceAmountForPhysician()` Retrieve Product/Service Amount for Physician (CP) This field is about Monetary Amount of product/service item which is for the physician.
    `CP` | `getProductOrServiceBilledAmount()` Retrieve Product/Service Billed Amount (CP) This field contains Amount that is being billed for this Product/Service Code on PSL, = Product/Service Gross Amount + sum of all Product/Service Adjustments on ADJ for this Product/Service Line Item..
    `ISingleCollection<CWE>` | `getProductOrServiceClarificationCodeType()` Retrieve Product/Service Clarification Code Type (CWE) This field is about Additional codes describing the Product/Service Code on PSL.
    `ISingleCollection<ST>` | `getProductOrServiceClarificationCodeValue()` retrieve Product/Service Clarification Code Value (ST) This field is Actual value for Product/Service Clarification Code Type.
    `CWE` | `getProductOrServiceCode()` retrieve Product/Service Code (CWE) This field is about Code describing the service that was delivered/received.
    `ST` | `getProductOrServiceCodeDescription()` Retrieve Product/Service Code Description (ST) This field is about Text describing Product/Service Code in PSL.
    `ISingleCollection<CWE>` | `getProductOrServiceCodeModifier()` retrieve Product/Service Code Modifier (CWE) This field is about : Additional optional modifier(s) for the Product/Service Code.
    `NM` | `getProductOrServiceCostFactor()` Retrieve Product/Service Cost Factor (NM) This field is about Factor to increase the billed amount.
    `DTM` | `getProductOrServiceEffectiveDate()` Retrieve Product/Service Effective Date (DTM) This field is about Date/Time product/service was delivered/received.
    `DTM` | `getProductOrServiceExpirationDate()` Retrieve Product/Service Expiration Date (DTM) This field is about Date/Time product/service was delivered/received.
    `CP` | `getProductOrServiceGrossAmount()` Retrieve Product/Service Gross Amount (CP) This field contains the Product/Service Quantity * Product/Service Unit Cost.
    `SI` | `getProductOrServiceLineItemSequenceNumber()` Retrieve Product/Service Line Item Sequence Number (SI) Unique sequence number for the Product/Service Line Item – starts with 1, then 2, etc.
    `CWE` | `getProductOrServiceLineItemStatus()` retrieve Product/Service Line Item Status (CWE) This field is about Processing status for the Product/Service Code.
    `CQ` | `getProductOrServiceQuality()` Retrieve Product/Service Quantity (CQ) This field is Amount that has been negotiated for this Product/Service Code on PSL between a Provider and Payer for each unit.
    `CP` | `getProductOrServiceUnitCost()` Retrieve Product/Service Unit Cost (CP) This field contains the cost per unit either in monetary amount or in points.
    `EI` | `getProviderProductOrServiceLineItemNumber()` Retrieve Provider Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Provider Application.
    `EI` | `getProviderTrackingID()` Retrieve Provider Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Provider Application.
    `CWE` | `getRelatedProductOrServiceCodeIndicator()` Retrieve Related Product/Service Code Indicator (CWE) This field is about Two Product /Service Line Items (PSL-7) may be in a relation to each other.
    `XCN` | `getResponsiblePhysicianID()` Retrieve Responsible Physician ID (XCN) This field is about ID of the physician who is responsible for the Service.
    `ID` | `getRestrictedDusclosureIndicator()` Retrieve Restricted Disclosure Indicator (ID) This field is about Set to "Yes" if information on this invoice should be treated with increased confidentiality/security.
    `CWE` | `getRoleExecutingPhysician()` retrieve Role Executing Physician (CWE) This field is about Account role of the physician, for example only billing for the professional part, the technical part or both.
    `NM` | `getSession_No()` retrieve Session-No (NM) This field is about Several line items may be grouped to a session.
    `CWE` | `getSideOfBody()` retrieve Side of body (CWE) This field is about The role of the Physician ("self-employed" or "employed").
    `CP` | `getTotalAmountProfessionalPartTechnicalPart()` Retrieve Total Amount Professional Part + Technical Part (CP) This field is about Total Amount of the cost of this service (Professional plus technical part).
    `CP` | `getTP_ValuePP()` Retrieve TP-Value PP (CP) This field is about Monetary Value of one "point" for the professional part of the service.
    `CP` | `getTP_ValueTechnicalPart()` Retrieve TP-Value Technical Part (CP) This field is about Monetary Value of one "point" for the technical part of the service.
    `ID` | `getValidation()` Retrieve Validation (ID) This field is about Service line item has passed an approved validator software (yes/no).
    `NM` | `getVAT_Rate()` retrieve VAT-Rate (NM) This field is about VAT–Rate Applied on the total amount of this service.
    `void` | `setAmountPP(CP objAmountPP)` Set Amount PP (CP) This field is about Total Amount for the professional part of this service.
    `void` | `setAmountPP(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Amount PP (CP) This field is about Total Amount for the professional part of this service.
    `void` | `setAmountTechnicalPart(CP objAmountTechnicalPart)` Set Amount Technical Part (CP) This field is about Total Amount for the technical part of this service.
    `void` | `setAmountTechnicalPart(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Amount Technical Part (CP) This field is about Total Amount for the technical part of this service.
    `void` | `setBillingPeriod(DR objBillingPeriod)` Retrieve Billing Period (DR) This field is about Begin and end of billing period.
    `void` | `setBillingPeriod(DTM objRangeStartDateOrTime, DTM objRangeEndDateOrTime)` Retrieve Billing Period (DR) This field is about Begin and end of billing period.
    `void` | `setComments(ST objComments)` Retrieve Comments (ST) This field is about Reason why the service line item has not passed the validator software.
    `void` | `setComments(java.lang.String strComments)` Retrieve Comments (ST) This field is about Reason why the service line item has not passed the validator software.
    `void` | `setCostCenter(CX objCostCenter)` Set Cost Center (CX) .
    `void` | `setDaysWithoutBilling(NM objDaysWithoutBilling)` Set Days without Billing (NM) This field is about Number of Days for which no invoice is created.
    `void` | `setDaysWithoutBilling(java.lang.String strDaysWithoutBilling)` Set Days without Billing (NM) This field is about Number of Days for which no invoice is created.
    `void` | `setExecutingPhysicianID(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Executing Physician ID (XCN) This field is about ID of the physician who is providing the Service, e.g., executing the radiology-exam (EAN ID = European Article Numbering).
    `void` | `setExecutingPhysicianID(XCN objExecutingPhysicianID)` Set Executing Physician ID (XCN) This field is about ID of the physician who is providing the Service, e.g., executing the radiology-exam (EAN ID = European Article Numbering).
    `void` | `setExternalScalingFactorPP(NM objExternalScalingFactorPP)` Set External Scaling Factor PP (NM) This field is about External Scaling Factor for the amount of the professional part of the service.
    `void` | `setExternalScalingFactorPP(java.lang.String strExternalScalingFactorPP)` Set External Scaling Factor PP (NM) This field is about External Scaling Factor for the amount of the professional part of the service.
    `void` | `setExternalScalingFactorTechnicalPart(NM objExternalScalingFactorTechnicalPart)` Set External Scaling Factor Technical Part (NM) This field is about External Scaling Factor for the amount of the technical part of the service.
    `void` | `setExternalScalingFactorTechnicalPart(java.lang.String strExternalScalingFactorTechnicalPart)` Set External Scaling Factor Technical Part (NM) This field is about External Scaling Factor for the amount of the technical part of the service.
    `void` | `setHealthDocumentReferenceIdentifier(ISingleCollection<EI> objHealthDocumentReferenceIdentifier)` Set Health Document Reference Identifier (EI) This field is about Health Documents (electronic or paper) that support this Product/Service Line Item.
    `void` | `setInternalScalingFactorPP(NM objInternalScalingFactorPP)` Set Internal Scaling Factor PP (NM) This field is about Internal Scaling Factor for the amount of the professional part of the service.
    `void` | `setInternalScalingFactorPP(java.lang.String strInternalScalingFactorPP)` Set Internal Scaling Factor PP (NM) This field is about Internal Scaling Factor for the amount of the professional part of the service.
    `void` | `setInternalScalingFactorTechnicalPart(NM objInternalScalingFactorTechnicalPart)` Set Internal Scaling Factor Technical Part (NM) This field is about Internal Scaling Factor for the amount of the technical part of the service.
    `void` | `setInternalScalingFactorTechnicalPart(java.lang.String strInternalScalingFactorTechnicalPart)` Set Internal Scaling Factor Technical Part (NM) This field is about Internal Scaling Factor for the amount of the technical part of the service.
    `void` | `setMain_Service(ID objMain_Service)` Set Main-Service (ID) This field is about Main-Service.
    `void` | `setMain_Service(java.lang.String strMain_Service)` Set Main-Service (ID) This field is about Main-Service .
    `void` | `setMedicalRoleExecutingPhysician(CWE objMedicalRoleExecutingPhysician)` Set Medical Role Executing Physician (CWE) This field is about The role of the Physician ("self-employed" or "employed").
    `void` | `setMedicalRoleExecutingPhysician(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Medical Role Executing Physician (CWE) This field is about The role of the Physician ("self-employed" or "employed").
    `void` | `setNumberOfTPsPP(NM objNumberOfTPsPP)` Set Number of TP's PP (NM) This field is about Cost of the service "professional part" expressed in "points".
    `void` | `setNumberOfTPsPP(java.lang.String strNumberOfTPsPP)` Set Number of TP's PP (NM) This field is about Cost of the service "professional part" expressed in "points".
    `void` | `setNumberOfTPsTechnicalPart(NM objNumberOfTPsTechnicalPart)` Set Number of TP's Technical Part (NM) This field is about Cost of the service (Technical Part) expressed in "points".
    `void` | `setNumberOfTPsTechnicalPart(java.lang.String strNumberOfTPsTechnicalPart)` Set Number of TP's Technical Part (NM) This field is about Cost of the service (Technical Part) expressed in "points".
    `void` | `setNumbetOfItemsPerUnit(NM objNumberOfItemsPerUnit)` Set Number of Items per Unit (NM) This field is about Number of items in each unit – for Services, this should be set to 1.
    `void` | `setNumbetOfItemsPerUnit(java.lang.String strNumberOfItemsPerUnit)` Set Number of Items per Unit (NM) This field is about Number of items in each unit – for Services, this should be set to 1.
    `void` | `setPayerProductOrServiceLineItemNumber(EI objPayerProductOrServiceLineItemNumber)` Set Retrieve Payer Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Payer Application.
    `void` | `setPayerProductOrServiceLineItemNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Retrieve Payer Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Payer Application.
    `void` | `setPayerTrackingID(EI objPayerTrackingID)` Set Payer Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Payer Application.
    `void` | `setPayerTrackingID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Payer Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Payer Application.
    `void` | `setProcessingConsiderationCode(ISingleCollection<CWE> objProcessingConsiderationCode)` Set Processing Consideration Code (CWE) This field is about Codes indicating special processing requested of Payer for this Product/Service Line Item .
    `void` | `setProductOrServiceAmountForPhysician(CP objProductOrServiceAmountForPhysician)` Set Product/Service Amount for Physician (CP) This field is about Monetary Amount of product/service item which is for the physician.
    `void` | `setProductOrServiceAmountForPhysician(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Product/Service Amount for Physician (CP) This field is about Monetary Amount of product/service item which is for the physician.
    `void` | `setProductOrServiceBilledAmount(CP objProductOrServiceBilledAmount)` Set Product/Service Billed Amount (CP) This field contains Amount that is being billed for this Product/Service Code on PSL, = Product/Service Gross Amount + sum of all Product/Service Adjustments on ADJ for this Product/Service Line Item..
    `void` | `setProductOrServiceBilledAmount(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Product/Service Billed Amount (CP) This field contains Amount that is being billed for this Product/Service Code on PSL, = Product/Service Gross Amount + sum of all Product/Service Adjustments on ADJ for this Product/Service Line Item..
    `void` | `setProductOrServiceClarificationCodeType(ISingleCollection<CWE> objProductOrServiceClarificationCodeType)` Set Product/Service Clarification Code Type (CWE) This field is about Additional codes describing the Product/Service Code on PSL.
    `void` | `setProductOrServiceClarificationCodeValue(ISingleCollection<ST> objProductOrServiceClarificationCodeValue)` Set Product/Service Clarification Code Value (ST) This field is about : Additional codes describing the Product/Service Code on PSL.
    `void` | `setProductOrServiceCode(CWE objProductOrServiceCode)` Set Product/Service Code (CWE) This field is about Code describing the service that was delivered/received.
    `void` | `setProductOrServiceCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Product/Service Code (CWE) This field is about Code describing the service that was delivered/received.
    `void` | `setProductOrServiceCodeDescription(ST objProductOrServiceCodeDescription)` Set Product/Service Code Description (ST) This field is about Text describing Product/Service Code in PSL.
    `void` | `setProductOrServiceCodeDescription(java.lang.String strProductOrServiceCodeDescription)` Set Product/Service Code Description (ST) This field is about Text describing Product/Service Code in PSL.
    `void` | `setProductOrServiceCodeModifier(ISingleCollection<CWE> objProductOrServiceCodeModifier)` Set Product/Service CodeModifier Modifier (CWE) This field is about : Additional optional modifier(s) for the Product/Service Code .
    `void` | `setProductOrServiceCostFactor(NM objProductOrServiceCostFactor)` Retrieve Product/Service Cost Factor (NM) This field is about Factor to increase the billed amount.
    `void` | `setProductOrServiceCostFactor(java.lang.String strProductOrServiceCostFactor)` Retrieve Product/Service Cost Factor (NM) This field is about Factor to increase the billed amount.
    `void` | `setProductOrServiceEffectiveDate(DTM objProductOrServiceEffectiveDate)` Set Product/Service Effective Date (DTM) This field is about Date/Time product/service was delivered/received.
    `void` | `setProductOrServiceEffectiveDate(java.lang.String strProductOrServiceEffectiveDate)` Set Product/Service Effective Date (DTM) This field is about Date/Time product/service was delivered/received.
    `void` | `setProductOrServiceExpirationDate(DTM objProductOrServiceExpirationDate)` Set Product/Service Expiration Date (DTM) This field is about Date/Time product/service was delivered/received.
    `void` | `setProductOrServiceExpirationDate(java.lang.String strProductOrServiceExpirationDate)` Set Product/Service Expiration Date (DTM) This field is about Date/Time product/service was delivered/received.
    `void` | `setProductOrServiceGrossAmount(CP objProductOrServiceGrossAmount)` Set Product/Service Gross Amount (CP) This field contains the Product/Service Quantity * Product/Service Unit Cost.
    `void` | `setProductOrServiceGrossAmount(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Product/Service Gross Amount (CP) This field contains the Product/Service Quantity * Product/Service Unit Cost.
    `void` | `setProductOrServiceLineItemSequenceNumber(SI objProductOrServiceLineItemSequenceNumber)` Set Retrieve Product/Service Line Item Sequence Number (SI) Unique sequence number for the Product/Service Line Item – starts with 1, then 2, etc.
    `void` | `setProductOrServiceLineItemSequenceNumber(java.lang.String strProductOrServiceLineItemSequenceNumber)` Set Retrieve Product/Service Line Item sequence Number (SI) Unique sequence number for the Product/Service Line Item – starts with 1, then 2, etc.
    `void` | `setProductOrServiceLineItemStatus(CWE objProductOrServiceLineItemStatus)` Set Product/Service Line Item Status (CWE) This field is about Processing status for the Product/Service Code.
    `void` | `setProductOrServiceLineItemStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Product/Service Line Item Status (CWE) This field is about Processing status for the Product/Service Code.
    `void` | `setProductOrServiceQuantity(CQ objProductOrserviceQuantity)` Set Product/Service Quantity (CQ) This field is Amount that has been negotiated for this Product/Service Code on PSL between a Provider and Payer for each unit.
    `void` | `setProductOrServiceQuantity(java.lang.String strQuantity, CWE objUnits)` Set Product/Service Quantity (CQ) This field is Amount that has been negotiated for this Product/Service Code on PSL between a Provider and Payer for each unit.
    `void` | `setProductOrServiceUnitCost(CP objProductOrServiceUnitCost)` Set Product/Service Unit Cost (CP) This field contains the cost per unit either in monetary amount or in points.
    `void` | `setProductOrServiceUnitCost(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Product/Service Unit Cost (CP) This field contains the cost per unit either in monetary amount or in points.
    `void` | `setProviderProductOrServiceLineItemNumber(EI objProviderProductOrServiceLineItemNumber)` Set Retrieve Provider Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Provider Application.
    `void` | `setProviderProductOrServiceLineItemNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Retrieve Provider Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Provider Application.
    `void` | `setProviderTrackingID(EI objProviderTrackingID)` Set Provider Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Provider Application.
    `void` | `setProviderTrackingID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Provider Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Provider Application.
    `void` | `setRelatedProductOrServiceCodeIndicator(CWE objRelatedProductOrServiceCodeIndicator)` Set Related Product/Service Code Indicator (CWE) This field is about Two Product /Service Line Items (PSL-7) may be in a relation to each other.
    `void` | `setRelatedProductOrServiceCodeIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Related Product/Service Code Indicator (CWE) This field is about Two Product /Service Line Items (PSL-7) may be in a relation to each other.
    `void` | `setResponsiblePhysicianID(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Responsible Physician ID (XCN) This field is about ID of the physician who is responsible for the Service.
    `void` | `setResponsiblePhysicianID(XCN objResponsiblePhysicianID)` Set Responsible Physician ID (XCN) This field is about ID of the physician who is responsible for the Service.
    `void` | `setRestrictedDusclosureIndicator(ID objRestrictedDusclosureIndicator)` Set Restricted Disclosure Indicator (ID) This field is about Set to "Yes" if information on this invoice should be treated with increased confidentiality/security.
    `void` | `setRestrictedDusclosureIndicator(java.lang.String strRestrictedDusclosureIndicator)` Set Restricted Disclosure Indicator (ID) This field is about Set to "Yes" if information on this invoice should be treated with increased confidentiality/security.
    `void` | `setRoleExecutingPhysician(CWE objRoleExecutingPhysician)` Set Role Executing Physician (CWE) This field is about Account role of the physician, for example only billing for the professional part, the technical part or both.
    `void` | `setRoleExecutingPhysician(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Role Executing Physician (CWE) This field is about Account role of the physician, for example only billing for the professional part, the technical part or both.
    `void` | `setSession_No(NM objSession_No)` Set Session-No (NM) This field is about Several line items may be grouped to a session.
    `void` | `setSession_No(java.lang.String strSession_No)` Set Session-No (NM) This field is about Several line items may be grouped to a session.
    `void` | `setSideOfBody(CWE objSideOfBody)` Set Side of body (CWE) This field is about The role of the Physician ("self-employed" or "employed").
    `void` | `setSideOfBody(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Side of body (CWE) This field is about The role of the Physician ("self-employed" or "employed").
    `void` | `setTotalAmountProfessionalPartTechnicalPart(CP objTotalAmountProfessionalPartTechnicalPart)` Set Total Amount Professional Part + Technical Part (CP) This field is about Total Amount of the cost of this service (Professional plus technical part).
    `void` | `setTotalAmountProfessionalPartTechnicalPart(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Total Amount Professional Part + Technical Part (CP) This field is about Total Amount of the cost of this service (Professional plus technical part).
    `void` | `setTP_ValuePP(CP objTP_ValuePP)` Set TP-Value PP (CP) This field is about Monetary Value of one "point" for the professional part of the service.
    `void` | `setTP_ValuePP(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set TP-Value PP (CP) This field is about Monetary Value of one "point" for the professional part of the service.
    `void` | `setTP_ValueTechnicalPart(CP objTP_ValueTechnicalPart)` Set TP-Value Technical Part (CP) This field is about Monetary Value of one "point" for the technical part of the service.
    `void` | `setTP_ValueTechnicalPart(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set TP-Value Technical Part (CP) This field is about Monetary Value of one "point" for the technical part of the service.
    `void` | `setValidation(ID objValidation)` Set Validation (ID) This field is about Service line item has passed an approved validator software (yes/no).
    `void` | `setValidation(java.lang.String strValidation)` Set Validation (ID) This field is about Service line item has passed an approved validator software (yes/no).
    `void` | `setVAT_Rate(NM objVAT_Rate)` Set VAT-Rate (NM) This field is about VAT–Rate Applied on the total amount of this service.
    `void` | `setVAT_Rate(java.lang.String strVAT_Rate)` Set VAT-Rate (NM) This field is about VAT–Rate Applied on the total amount of this service.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSL

          public PSL()

      Constructs the PSL segment.

  - ### Method Detail

    - #### getProviderProductOrServiceLineItemNumber

          public EI getProviderProductOrServiceLineItemNumber()

      Retrieve Provider Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Provider Application.
      Returns:
        EI - object of provider product or service line item number.

    - #### setProviderProductOrServiceLineItemNumber

          public void setProviderProductOrServiceLineItemNumber(java.lang.String strEntityIdentifier,
                                                       java.lang.String strNamespaceID,
                                                       java.lang.String strUniversalID,
                                                       java.lang.String strUniversalIDType)

      Set Retrieve Provider Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Provider Application.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setProviderProductOrServiceLineItemNumber

          public void setProviderProductOrServiceLineItemNumber(EI objProviderProductOrServiceLineItemNumber)

      Set Retrieve Provider Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Provider Application.
      Parameters:
        `EI` - - object of provider product or service line item number.

    - #### getPayerProductOrServiceLineItemNumber

          public EI getPayerProductOrServiceLineItemNumber()

      Retrieve Payer Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Payer Application.
      Returns:
        EI - object of Payer product or service line item number.

    - #### setPayerProductOrServiceLineItemNumber

          public void setPayerProductOrServiceLineItemNumber(java.lang.String strEntityIdentifier,
                                                    java.lang.String strNamespaceID,
                                                    java.lang.String strUniversalID,
                                                    java.lang.String strUniversalIDType)

      Set Retrieve Payer Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Payer Application.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setPayerProductOrServiceLineItemNumber

          public void setPayerProductOrServiceLineItemNumber(EI objPayerProductOrServiceLineItemNumber)

      Set Retrieve Payer Product/Service Line Item Number (EI) This field is Unique Product/Service Line Item Number assigned by the Payer Application.
      Parameters:
        `EI` - - object of Payer product or service line item number.

    - #### getProductOrServiceLineItemSequenceNumber

          public SI getProductOrServiceLineItemSequenceNumber()

      Retrieve Product/Service Line Item Sequence Number (SI) Unique sequence number for the Product/Service Line Item – starts with 1, then 2, etc. for each unique Product/Service Line Item in this Invoice.
      Returns:
        SI - object of Payer product or service line item sequence number.

    - #### setProductOrServiceLineItemSequenceNumber

          public void setProductOrServiceLineItemSequenceNumber(java.lang.String strProductOrServiceLineItemSequenceNumber)

      Set Retrieve Product/Service Line Item sequence Number (SI) Unique sequence number for the Product/Service Line Item – starts with 1, then 2, etc. for each unique Product/Service Line Item in this Invoice.
      Parameters:
        `strProductOrServiceLineItemSequenceNumber` -

    - #### setProductOrServiceLineItemSequenceNumber

          public void setProductOrServiceLineItemSequenceNumber(SI objProductOrServiceLineItemSequenceNumber)

      Set Retrieve Product/Service Line Item Sequence Number (SI) Unique sequence number for the Product/Service Line Item – starts with 1, then 2, etc. for each unique Product/Service Line Item in this Invoice.
      Parameters:
        `SI` - - object of product or service line item sequence number.

    - #### getProviderTrackingID

          public EI getProviderTrackingID()

      Retrieve Provider Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Provider Application.
      Returns:
        EI - object of Provider tracking Id .

    - #### setProviderTrackingID

          public void setProviderTrackingID(java.lang.String strEntityIdentifier,
                                   java.lang.String strNamespaceID,
                                   java.lang.String strUniversalID,
                                   java.lang.String strUniversalIDType)

      Set Provider Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Provider Application.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setProviderTrackingID

          public void setProviderTrackingID(EI objProviderTrackingID)

      Set Provider Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Provider Application.
      Parameters:
        `EI` - - object of Provider tracking Id .

    - #### getPayerTrackingID

          public EI getPayerTrackingID()

      Retrieve Payer Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Payer Application.
      Returns:
        EI - object of Payer tracking Id .

    - #### setPayerTrackingID

          public void setPayerTrackingID(java.lang.String strEntityIdentifier,
                                java.lang.String strNamespaceID,
                                java.lang.String strUniversalID,
                                java.lang.String strUniversalIDType)

      Set Payer Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Payer Application.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setPayerTrackingID

          public void setPayerTrackingID(EI objPayerTrackingID)

      Set Payer Tracking ID (EI) This field is used to Identifier for this Product/Service Line Item assigned by the Payer Application.
      Parameters:
        `EI` - - object of Payer tracking Id .

    - #### getProductOrServiceLineItemStatus

          public CWE getProductOrServiceLineItemStatus()

      retrieve Product/Service Line Item Status (CWE) This field is about Processing status for the Product/Service Code.
      Returns:
        CWE - object of Product Or Service Line Item Status.

    - #### setProductOrServiceLineItemStatus

          public void setProductOrServiceLineItemStatus(java.lang.String strIdentifier,
                                               java.lang.String strText,
                                               java.lang.String strNameOfCodingSystem,
                                               java.lang.String strAlternateIdentifier,
                                               java.lang.String strAlternateText,
                                               java.lang.String strNameOfAlternateCodingSystem,
                                               java.lang.String strCodingSystemVersionID,
                                               java.lang.String strAlternateCodingSystemVersionId,
                                               java.lang.String strOriginalText,
                                               java.lang.String strSecondAlternateIdentifier,
                                               java.lang.String strSecondAlternateText,
                                               java.lang.String strNameofSecondAlternateCodingSystem,
                                               java.lang.String strSecondAlternateCodingSystemVersionID,
                                               java.lang.String strCodingSystemOID,
                                               java.lang.String strValueSetOID,
                                               java.lang.String strValueSetVersionID,
                                               java.lang.String strAlternateCodingSystemOID,
                                               java.lang.String strAlternateValueSetOID,
                                               java.lang.String strAlternateValueSetVersionID,
                                               java.lang.String strSecondAlternateCodingSystemOID,
                                               java.lang.String strSecondAlternateValueSetOID,
                                               java.lang.String strSecondAlternateValueSetVersionID)

      Set Product/Service Line Item Status (CWE) This field is about Processing status for the Product/Service Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProductOrServiceLineItemStatus

          public void setProductOrServiceLineItemStatus(CWE objProductOrServiceLineItemStatus)

      Set Product/Service Line Item Status (CWE) This field is about Processing status for the Product/Service Code.
      Parameters:
        `objProductOrServiceLineItemStatus` - - object of Product Or Service Line Item Status.

    - #### getProductOrServiceCode

          public CWE getProductOrServiceCode()

      retrieve Product/Service Code (CWE) This field is about Code describing the service that was delivered/received.
      Returns:
        CWE - object of Product Or Service Code.

    - #### setProductOrServiceCode

          public void setProductOrServiceCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set Product/Service Code (CWE) This field is about Code describing the service that was delivered/received.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProductOrServiceCode

          public void setProductOrServiceCode(CWE objProductOrServiceCode)

      Set Product/Service Code (CWE) This field is about Code describing the service that was delivered/received.
      Parameters:
        `objProductOrServiceCode` - - object of Product Or Service Code.

    - #### getProductOrServiceCodeModifier

          public ISingleCollection<CWE> getProductOrServiceCodeModifier()

      retrieve Product/Service Code Modifier (CWE) This field is about : Additional optional modifier(s) for the Product/Service Code.
      Returns:
        ISingleCollection - list of object of Product Or Service Code Modifier.

    - #### addProductOrServiceCodeModifier

          public void addProductOrServiceCodeModifier(java.lang.String strIdentifier,
                                             java.lang.String strText,
                                             java.lang.String strNameOfCodingSystem,
                                             java.lang.String strAlternateIdentifier,
                                             java.lang.String strAlternateText,
                                             java.lang.String strNameOfAlternateCodingSystem,
                                             java.lang.String strCodingSystemVersionID,
                                             java.lang.String strAlternateCodingSystemVersionId,
                                             java.lang.String strOriginalText,
                                             java.lang.String strSecondAlternateIdentifier,
                                             java.lang.String strSecondAlternateText,
                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                             java.lang.String strCodingSystemOID,
                                             java.lang.String strValueSetOID,
                                             java.lang.String strValueSetVersionID,
                                             java.lang.String strAlternateCodingSystemOID,
                                             java.lang.String strAlternateValueSetOID,
                                             java.lang.String strAlternateValueSetVersionID,
                                             java.lang.String strSecondAlternateCodingSystemOID,
                                             java.lang.String strSecondAlternateValueSetOID,
                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set Product/Service Code Modifier (CWE) This field is about : Additional optional modifier(s) for the Product/Service Code .
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProductOrServiceCodeModifier

          public void addProductOrServiceCodeModifier(CWE objProductOrServiceCodeModifier)

      Set Product/Service CodeModifier Modifier (CWE) This field is about : Additional optional modifier(s) for the Product/Service Code .
      Parameters:
        `objProductOrServiceCodeModifier` - - object of Product Or Service Code Modifier.

    - #### setProductOrServiceCodeModifier

          public void setProductOrServiceCodeModifier(ISingleCollection<CWE> objProductOrServiceCodeModifier)

      Set Product/Service CodeModifier Modifier (CWE) This field is about : Additional optional modifier(s) for the Product/Service Code .
      Parameters:
        `objProductOrServiceCodeModifier` - - List of object of Product Or Service Code Modifier.

    - #### getProductOrServiceCodeDescription

          public ST getProductOrServiceCodeDescription()

      Retrieve Product/Service Code Description (ST) This field is about Text describing Product/Service Code in PSL.
      Returns:
        ST - object of Product Or Service Code Description.

    - #### setProductOrServiceCodeDescription

          public void setProductOrServiceCodeDescription(java.lang.String strProductOrServiceCodeDescription)

      Set Product/Service Code Description (ST) This field is about Text describing Product/Service Code in PSL.
      Parameters:
        `strProductOrServiceCodeDescription` - - String of Product or service code description.

    - #### setProductOrServiceCodeDescription

          public void setProductOrServiceCodeDescription(ST objProductOrServiceCodeDescription)

      Set Product/Service Code Description (ST) This field is about Text describing Product/Service Code in PSL.
      Parameters:
        `objProductOrServiceCodeDescription` - - object of Product or service code description.

    - #### getProductOrServiceEffectiveDate

          public DTM getProductOrServiceEffectiveDate()

      Retrieve Product/Service Effective Date (DTM) This field is about Date/Time product/service was delivered/received.
      Returns:
        DTM - object of Product or Service Effective Date.

    - #### setProductOrServiceEffectiveDate

          public void setProductOrServiceEffectiveDate(java.lang.String strProductOrServiceEffectiveDate)

      Set Product/Service Effective Date (DTM) This field is about Date/Time product/service was delivered/received.
      Parameters:
        `strProductOrServiceEffectiveDate` - - string of Product or Service Effective Date.

    - #### setProductOrServiceEffectiveDate

          public void setProductOrServiceEffectiveDate(DTM objProductOrServiceEffectiveDate)

      Set Product/Service Effective Date (DTM) This field is about Date/Time product/service was delivered/received.
      Parameters:
        `objProductOrServiceEffectiveDate` - - object of Product or Service Effective Date.

    - #### getProductOrServiceExpirationDate

          public DTM getProductOrServiceExpirationDate()

      Retrieve Product/Service Expiration Date (DTM) This field is about Date/Time product/service was delivered/received.
      Returns:
        DTM - object of Product or Service Expiration Date.

    - #### setProductOrServiceExpirationDate

          public void setProductOrServiceExpirationDate(java.lang.String strProductOrServiceExpirationDate)

      Set Product/Service Expiration Date (DTM) This field is about Date/Time product/service was delivered/received.
      Parameters:
        `strProductOrServiceExpirationDate` - - string of Product or Service Expiration Date.

    - #### setProductOrServiceExpirationDate

          public void setProductOrServiceExpirationDate(DTM objProductOrServiceExpirationDate)

      Set Product/Service Expiration Date (DTM) This field is about Date/Time product/service was delivered/received.
      Parameters:
        `objProductOrServiceExpirationDate` - - object of Product or Service Expiration Date.

    - #### getProductOrServiceQuality

          public CQ getProductOrServiceQuality()

      Retrieve Product/Service Quantity (CQ) This field is Amount that has been negotiated for this Product/Service Code on PSL between a Provider and Payer for each unit.
      Returns:
        CQ - object of Product or Service quality.

    - #### setProductOrServiceQuantity

          public void setProductOrServiceQuantity(java.lang.String strQuantity,
                                         CWE objUnits)

      Set Product/Service Quantity (CQ) This field is Amount that has been negotiated for this Product/Service Code on PSL between a Provider and Payer for each unit.
      Parameters:
        `strQuantity` - - This component specifies the numeric quantity or amount of an entity.
        `objUnits` - - This component species the units in which the quantity is expressed.

    - #### setProductOrServiceQuantity

          public void setProductOrServiceQuantity(CQ objProductOrserviceQuantity)

      Set Product/Service Quantity (CQ) This field is Amount that has been negotiated for this Product/Service Code on PSL between a Provider and Payer for each unit.
      Parameters:
        `objProductOrserviceQuantity` - - object of Product Or Service quantity.

    - #### getProductOrServiceUnitCost

          public CP getProductOrServiceUnitCost()

      Retrieve Product/Service Unit Cost (CP) This field contains the cost per unit either in monetary amount or in points.
      Returns:
        CP - object of Product or Service unit cost.

    - #### setProductOrServiceUnitCost

          public void setProductOrServiceUnitCost(MO objPrice,
                                         java.lang.String strPriceType,
                                         java.lang.String strFormValue,
                                         java.lang.String strToValue,
                                         CWE objRangeUnits,
                                         java.lang.String strRangeType)

      Set Product/Service Unit Cost (CP) This field contains the cost per unit either in monetary amount or in points.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### setProductOrServiceUnitCost

          public void setProductOrServiceUnitCost(CP objProductOrServiceUnitCost)

      Set Product/Service Unit Cost (CP) This field contains the cost per unit either in monetary amount or in points.
      Parameters:
        `objProductOrServiceUnitCost` - - object of product or service unit cost.

    - #### getNumberOfItemsPerUnit

          public NM getNumberOfItemsPerUnit()

      Retrieve Number of Items per Unit (NM) This field is about Number of items in each unit – for Services, this should be set to 1.
      Returns:
        NM - object of Number of Items per units.

    - #### setNumbetOfItemsPerUnit

          public void setNumbetOfItemsPerUnit(java.lang.String strNumberOfItemsPerUnit)

      Set Number of Items per Unit (NM) This field is about Number of items in each unit – for Services, this should be set to 1.
      Parameters:
        `strNumberOfItemsPerUnit` - - string of Number of Items per unit.

    - #### setNumbetOfItemsPerUnit

          public void setNumbetOfItemsPerUnit(NM objNumberOfItemsPerUnit)

      Set Number of Items per Unit (NM) This field is about Number of items in each unit – for Services, this should be set to 1.
      Parameters:
        `objNumberOfItemsPerUnit` - - object of Number of Items per unit.

    - #### getProductOrServiceGrossAmount

          public CP getProductOrServiceGrossAmount()

      Retrieve Product/Service Gross Amount (CP) This field contains the Product/Service Quantity * Product/Service Unit Cost.
      Returns:
        CP - object of Product or Service Gross Amount.

    - #### setProductOrServiceGrossAmount

          public void setProductOrServiceGrossAmount(MO objPrice,
                                            java.lang.String strPriceType,
                                            java.lang.String strFormValue,
                                            java.lang.String strToValue,
                                            CWE objRangeUnits,
                                            java.lang.String strRangeType)

      Set Product/Service Gross Amount (CP) This field contains the Product/Service Quantity * Product/Service Unit Cost.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### setProductOrServiceGrossAmount

          public void setProductOrServiceGrossAmount(CP objProductOrServiceGrossAmount)

      Set Product/Service Gross Amount (CP) This field contains the Product/Service Quantity * Product/Service Unit Cost.
      Parameters:
        `objProductOrServiceGrossAmount` - - object of product or service Gross Amount.

    - #### getProductOrServiceBilledAmount

          public CP getProductOrServiceBilledAmount()

      Retrieve Product/Service Billed Amount (CP) This field contains Amount that is being billed for this Product/Service Code on PSL, = Product/Service Gross Amount + sum of all Product/Service Adjustments on ADJ for this Product/Service Line Item..
      Returns:
        CP - object of Product or Service Billed Amount.

    - #### setProductOrServiceBilledAmount

          public void setProductOrServiceBilledAmount(MO objPrice,
                                             java.lang.String strPriceType,
                                             java.lang.String strFormValue,
                                             java.lang.String strToValue,
                                             CWE objRangeUnits,
                                             java.lang.String strRangeType)

      Set Product/Service Billed Amount (CP) This field contains Amount that is being billed for this Product/Service Code on PSL, = Product/Service Gross Amount + sum of all Product/Service Adjustments on ADJ for this Product/Service Line Item..
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies about the Type of range.

    - #### setProductOrServiceBilledAmount

          public void setProductOrServiceBilledAmount(CP objProductOrServiceBilledAmount)

      Set Product/Service Billed Amount (CP) This field contains Amount that is being billed for this Product/Service Code on PSL, = Product/Service Gross Amount + sum of all Product/Service Adjustments on ADJ for this Product/Service Line Item..
      Parameters:
        `objProductOrServiceBilledAmount` - - object of product or service Billed Amount.

    - #### getProductOrServiceClarificationCodeType

          public ISingleCollection<CWE> getProductOrServiceClarificationCodeType()

      Retrieve Product/Service Clarification Code Type (CWE) This field is about Additional codes describing the Product/Service Code on PSL.
      Returns:
        ISingleCollection - list of object of Product or service clarification code type.

    - #### addProductOrServiceClarificationCodeType

          public void addProductOrServiceClarificationCodeType(java.lang.String strIdentifier,
                                                      java.lang.String strText,
                                                      java.lang.String strNameOfCodingSystem,
                                                      java.lang.String strAlternateIdentifier,
                                                      java.lang.String strAlternateText,
                                                      java.lang.String strNameOfAlternateCodingSystem,
                                                      java.lang.String strCodingSystemVersionID,
                                                      java.lang.String strAlternateCodingSystemVersionId,
                                                      java.lang.String strOriginalText,
                                                      java.lang.String strSecondAlternateIdentifier,
                                                      java.lang.String strSecondAlternateText,
                                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                                      java.lang.String strCodingSystemOID,
                                                      java.lang.String strValueSetOID,
                                                      java.lang.String strValueSetVersionID,
                                                      java.lang.String strAlternateCodingSystemOID,
                                                      java.lang.String strAlternateValueSetOID,
                                                      java.lang.String strAlternateValueSetVersionID,
                                                      java.lang.String strSecondAlternateCodingSystemOID,
                                                      java.lang.String strSecondAlternateValueSetOID,
                                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set Product/Service Clarification Code Type (CWE) This field is about Additional codes describing the Product/Service Code on PSL.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProductOrServiceClarificationCodeType

          public void addProductOrServiceClarificationCodeType(CWE objProductOrServiceClarificationCodeType)

      Set Product/Service Clarification Code Type (CWE) This field is about Additional codes describing the Product/Service Code on PSL.
      Parameters:
        `objProductOrServiceClarificationCodeType` - - object of Product or Service Clarification Code Type .

    - #### setProductOrServiceClarificationCodeType

          public void setProductOrServiceClarificationCodeType(ISingleCollection<CWE> objProductOrServiceClarificationCodeType)

      Set Product/Service Clarification Code Type (CWE) This field is about Additional codes describing the Product/Service Code on PSL.
      Parameters:
        `objProductOrServiceClarificationCodeType` - - list of object of Product or Service Clarification Code Type .

    - #### getProductOrServiceClarificationCodeValue

          public ISingleCollection<ST> getProductOrServiceClarificationCodeValue()

      retrieve Product/Service Clarification Code Value (ST) This field is Actual value for Product/Service Clarification Code Type.
      Parameters:
        `Isinglecollection` - - list of object of Product or Service Clarification Code value.

    - #### addProductOrServiceClarificationCodeValue

          public void addProductOrServiceClarificationCodeValue(java.lang.String strProductOrServiceClarificationCodeValue)

      Set Product/Service Clarification Code Value (ST) This field is about : Additional codes describing the Product/Service Code on PSL.
      Parameters:
        `strProductOrServiceClarificationCodeValue` - - string of Product or service clarification code value.

    - #### addProductOrServiceClarificationCodeValue

          public void addProductOrServiceClarificationCodeValue(ST objProductOrServiceClarificationCodeValue)

      Set Product/Service Clarification Code Value (ST) This field is about : Additional codes describing the Product/Service Code on PSL.
      Parameters:
        `objProductOrServiceClarificationCodeValue` - - object of Product or Service Clarification Code Value .

    - #### setProductOrServiceClarificationCodeValue

          public void setProductOrServiceClarificationCodeValue(ISingleCollection<ST> objProductOrServiceClarificationCodeValue)

      Set Product/Service Clarification Code Value (ST) This field is about : Additional codes describing the Product/Service Code on PSL.
      Parameters:
        `objProductOrServiceClarificationCodeValue` - - list of object of Product or Service Clarification Code Value .

    - #### getHealthDocumentreferenceIdentifier

          public ISingleCollection<EI> getHealthDocumentreferenceIdentifier()

      Retrieve Health Document Reference Identifier (EI) This field is about Health Documents (electronic or paper) that support this Product/Service Line Item.
      Returns:
        ISinglecollection - list of object of Health document reference Identifier.

    - #### addHealthDocumentReferenceIdentifier

          public void addHealthDocumentReferenceIdentifier(java.lang.String strEntityIdentifier,
                                                  java.lang.String strNamespaceID,
                                                  java.lang.String strUniversalID,
                                                  java.lang.String strUniversalIDType)

      Set Health Document Reference Identifier (EI) This field is about Health Documents (electronic or paper) that support this Product/Service Line Item.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### addHealthDocumentReferenceIdentifier

          public void addHealthDocumentReferenceIdentifier(EI objHealthDocumentReferenceIdentifier)

      Set Health Document Reference Identifier (EI) This field is about Health Documents (electronic or paper) that support this Product/Service Line Item.
      Parameters:
        `objHealthDocumentReferenceIdentifier` - - object of Health document reference Identifier.

    - #### setHealthDocumentReferenceIdentifier

          public void setHealthDocumentReferenceIdentifier(ISingleCollection<EI> objHealthDocumentReferenceIdentifier)

      Set Health Document Reference Identifier (EI) This field is about Health Documents (electronic or paper) that support this Product/Service Line Item.
      Parameters:
        `objHealthDocumentReferenceIdentifier` - - list of object of Health document reference Identifier.

    - #### getProcessingConsiderationCode

          public ISingleCollection<CWE> getProcessingConsiderationCode()

      Retrieve Processing Consideration Code (CWE) This field is about Codes indicating special processing requested of Payer for this Product/Service Line Item .
      Returns:
        ISingleCollection - list of object of Processing Consideration code.

    - #### addProcessingConsiderationCode

          public void addProcessingConsiderationCode(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set Processing Consideration Code (CWE) This field is about Codes indicating special processing requested of Payer for this Product/Service Line Item .
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProcessingConsiderationCode

          public void addProcessingConsiderationCode(CWE objProcessingConsiderationCode)

      Set Processing Consideration Code (CWE) This field is about Codes indicating special processing requested of Payer for this Product/Service Line Item .
      Parameters:
        `objProcessingConsiderationCode` - - object of Processing Consideration code .

    - #### setProcessingConsiderationCode

          public void setProcessingConsiderationCode(ISingleCollection<CWE> objProcessingConsiderationCode)

      Set Processing Consideration Code (CWE) This field is about Codes indicating special processing requested of Payer for this Product/Service Line Item .
      Parameters:
        `objProcessingConsiderationCode` - - list of object of Processing Consideration code.

    - #### getRestrictedDusclosureIndicator

          public ID getRestrictedDusclosureIndicator()

      Retrieve Restricted Disclosure Indicator (ID) This field is about Set to "Yes" if information on this invoice should be treated with increased confidentiality/security.
      Returns:
        ID - object of Restricted Disclosure indicator.

    - #### setRestrictedDusclosureIndicator

          public void setRestrictedDusclosureIndicator(java.lang.String strRestrictedDusclosureIndicator)

      Set Restricted Disclosure Indicator (ID) This field is about Set to "Yes" if information on this invoice should be treated with increased confidentiality/security.
      Parameters:
        `ID` - - object of Restricted Disclosure indicator.

    - #### setRestrictedDusclosureIndicator

          public void setRestrictedDusclosureIndicator(ID objRestrictedDusclosureIndicator)

      Set Restricted Disclosure Indicator (ID) This field is about Set to "Yes" if information on this invoice should be treated with increased confidentiality/security.
      Parameters:
        `ID` - - object of Restricted Disclosure indicator.

    - #### getRelatedProductOrServiceCodeIndicator

          public CWE getRelatedProductOrServiceCodeIndicator()

      Retrieve Related Product/Service Code Indicator (CWE) This field is about Two Product /Service Line Items (PSL-7) may be in a relation to each other.
      Returns:
        CWE - object of Related product or service code indicator.

    - #### setRelatedProductOrServiceCodeIndicator

          public void setRelatedProductOrServiceCodeIndicator(java.lang.String strIdentifier,
                                                     java.lang.String strText,
                                                     java.lang.String strNameOfCodingSystem,
                                                     java.lang.String strAlternateIdentifier,
                                                     java.lang.String strAlternateText,
                                                     java.lang.String strNameOfAlternateCodingSystem,
                                                     java.lang.String strCodingSystemVersionID,
                                                     java.lang.String strAlternateCodingSystemVersionId,
                                                     java.lang.String strOriginalText,
                                                     java.lang.String strSecondAlternateIdentifier,
                                                     java.lang.String strSecondAlternateText,
                                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                                     java.lang.String strCodingSystemOID,
                                                     java.lang.String strValueSetOID,
                                                     java.lang.String strValueSetVersionID,
                                                     java.lang.String strAlternateCodingSystemOID,
                                                     java.lang.String strAlternateValueSetOID,
                                                     java.lang.String strAlternateValueSetVersionID,
                                                     java.lang.String strSecondAlternateCodingSystemOID,
                                                     java.lang.String strSecondAlternateValueSetOID,
                                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set Related Product/Service Code Indicator (CWE) This field is about Two Product /Service Line Items (PSL-7) may be in a relation to each other.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRelatedProductOrServiceCodeIndicator

          public void setRelatedProductOrServiceCodeIndicator(CWE objRelatedProductOrServiceCodeIndicator)

      Set Related Product/Service Code Indicator (CWE) This field is about Two Product /Service Line Items (PSL-7) may be in a relation to each other.
      Parameters:
        `CWE` - - object of Related product or service code indicator.

    - #### getProductOrServiceAmountForPhysician

          public CP getProductOrServiceAmountForPhysician()

      Retrieve Product/Service Amount for Physician (CP) This field is about Monetary Amount of product/service item which is for the physician.
      Returns:
        CP - object of Product or service Amount for Physician

    - #### setProductOrServiceAmountForPhysician

          public void setProductOrServiceAmountForPhysician(MO objPrice,
                                                   java.lang.String strPriceType,
                                                   java.lang.String strFormValue,
                                                   java.lang.String strToValue,
                                                   CWE objRangeUnits,
                                                   java.lang.String strRangeType)

      Set Product/Service Amount for Physician (CP) This field is about Monetary Amount of product/service item which is for the physician.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### setProductOrServiceAmountForPhysician

          public void setProductOrServiceAmountForPhysician(CP objProductOrServiceAmountForPhysician)

      Set Product/Service Amount for Physician (CP) This field is about Monetary Amount of product/service item which is for the physician.
      Parameters:
        `objProductOrServiceAmountForPhysician` - - object of Product Or Service Amount for Physician .

    - #### getProductOrServiceCostFactor

          public NM getProductOrServiceCostFactor()

      Retrieve Product/Service Cost Factor (NM) This field is about Factor to increase the billed amount.
      Returns:
        NM - object of Product or service cost factor.

    - #### setProductOrServiceCostFactor

          public void setProductOrServiceCostFactor(java.lang.String strProductOrServiceCostFactor)

      Retrieve Product/Service Cost Factor (NM) This field is about Factor to increase the billed amount.

    - #### setProductOrServiceCostFactor

          public void setProductOrServiceCostFactor(NM objProductOrServiceCostFactor)

      Retrieve Product/Service Cost Factor (NM) This field is about Factor to increase the billed amount.

    - #### getCostCenter

          public CX getCostCenter()

      Retrieve Cost Center (CX) Cost centers are organizational units or activities that provide goods and services. In this context, it would be the department which delivered the Service/Product Line Item,
      Returns:
        CX - object of Cost Center.

    - #### addCostCenter

          public void addCostCenter(java.lang.String strIDNumber,
                           java.lang.String strCheckDigit,
                           java.lang.String strCheckDigitScheme,
                           HD objAssigningAuthority,
                           java.lang.String strIdentifierTypeCode,
                           HD objAssigningFacility,
                           java.lang.String strEffectiveDate,
                           java.lang.String strExpirationDate,
                           CWE objAssigningJurisdiction,
                           CWE objAssigningAgencyOrDepartment,
                           java.lang.String strSecurityCheck,
                           java.lang.String strSecurityCheckScheme)

      Set Cost Center (CX) . Cost centers are organizational units or activities that provide goods and services. In this context, it would be the department which delivered the Service/Product Line Item,
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setCostCenter

          public void setCostCenter(CX objCostCenter)

      Set Cost Center (CX) . Cost centers are organizational units or activities that provide goods and services. In this context, it would be the department which delivered the Service/Product Line Item,
      Parameters:
        `objCostCenter` - object of Patient IdentifierList.

    - #### getBillingPeriod

          public DR getBillingPeriod()

      Retrieve Billing Period (DR) This field is about Begin and end of billing period.
      Returns:
        DR - object of Billing Period.

    - #### setBillingPeriod

          public void setBillingPeriod(DTM objRangeStartDateOrTime,
                              DTM objRangeEndDateOrTime)

      Retrieve Billing Period (DR) This field is about Begin and end of billing period.
      Parameters:
        `strRangeStartDateOrTime` - - The first component contains the earliest date/time (time stamp) in the specified range.
        `strRangeEndDateOrTime` - - The second component contains the latest date/time in the specified range. Note that the DTM (time stamp) data type allows the specification of precision.

    - #### setBillingPeriod

          public void setBillingPeriod(DR objBillingPeriod)

      Retrieve Billing Period (DR) This field is about Begin and end of billing period.
      Parameters:
        `DR` - - object of Billing Period.

    - #### getDaysWithoutBilling

          public NM getDaysWithoutBilling()

      retrieve Days without Billing (NM) This field is about Number of Days for which no invoice is created.
      Returns:
        NM - object of Days without billing.

    - #### setDaysWithoutBilling

          public void setDaysWithoutBilling(java.lang.String strDaysWithoutBilling)

      Set Days without Billing (NM) This field is about Number of Days for which no invoice is created.
      Parameters:
        `` -

    - #### setDaysWithoutBilling

          public void setDaysWithoutBilling(NM objDaysWithoutBilling)

      Set Days without Billing (NM) This field is about Number of Days for which no invoice is created.
      Parameters:
        `` -

    - #### getSession_No

          public NM getSession_No()

      retrieve Session-No (NM) This field is about Several line items may be grouped to a session.
      Returns:
        NM - object of Session No.

    - #### setSession_No

          public void setSession_No(java.lang.String strSession_No)

      Set Session-No (NM) This field is about Several line items may be grouped to a session.
      Parameters:
        `strSession_No` - - string of Session no.

    - #### setSession_No

          public void setSession_No(NM objSession_No)

      Set Session-No (NM) This field is about Several line items may be grouped to a session.
      Parameters:
        `objSession_No` - - object of Session no.

    - #### getExecutingPhysicianID

          public XCN getExecutingPhysicianID()

      Retrieve Executing Physician ID (XCN) This field is about ID of the physician who is providing the Service, e.g., executing the radiology-exam (EAN ID = European Article Numbering).
      Returns:
        XCN - object of Executing Physician ID.

    - #### setExecutingPhysicianID

          public void setExecutingPhysicianID(java.lang.String strIDNumber,
                                     FN objFamilyName,
                                     java.lang.String strGivenName,
                                     java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                     java.lang.String strSuffix,
                                     java.lang.String strPrefix,
                                     CWE objSourceTable,
                                     HD objAssigningAuthority,
                                     java.lang.String strNameTypeCode,
                                     java.lang.String strIdentifierCheckDigit,
                                     java.lang.String strCheckDigitScheme,
                                     java.lang.String strIdentifierTypeCode,
                                     HD objAssigningFacility,
                                     java.lang.String strNameRepresentationCode,
                                     CWE objNameContext,
                                     java.lang.String strNameAssemblyOrder,
                                     java.lang.String strEffectiveDate,
                                     java.lang.String strExpirationDate,
                                     java.lang.String strProfessionalSuffix,
                                     CWE objAssigningJurisdiction,
                                     CWE objAssigningAgencyOrDepratment,
                                     java.lang.String strSecurityCheck,
                                     java.lang.String strSecurityCheckScheme)

      Set Executing Physician ID (XCN) This field is about ID of the physician who is providing the Service, e.g., executing the radiology-exam (EAN ID = European Article Numbering).
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setExecutingPhysicianID

          public void setExecutingPhysicianID(XCN objExecutingPhysicianID)

      Set Executing Physician ID (XCN) This field is about ID of the physician who is providing the Service, e.g., executing the radiology-exam (EAN ID = European Article Numbering).
      Parameters:
        `XCN` - - object of Executing Physician ID.

    - #### getResponsiblePhysicianID

          public XCN getResponsiblePhysicianID()

      Retrieve Responsible Physician ID (XCN) This field is about ID of the physician who is responsible for the Service.
      Returns:
        XCN - object of Responsible Physician ID.

    - #### setResponsiblePhysicianID

          public void setResponsiblePhysicianID(java.lang.String strIDNumber,
                                       FN objFamilyName,
                                       java.lang.String strGivenName,
                                       java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                       java.lang.String strSuffix,
                                       java.lang.String strPrefix,
                                       CWE objSourceTable,
                                       HD objAssigningAuthority,
                                       java.lang.String strNameTypeCode,
                                       java.lang.String strIdentifierCheckDigit,
                                       java.lang.String strCheckDigitScheme,
                                       java.lang.String strIdentifierTypeCode,
                                       HD objAssigningFacility,
                                       java.lang.String strNameRepresentationCode,
                                       CWE objNameContext,
                                       java.lang.String strNameAssemblyOrder,
                                       java.lang.String strEffectiveDate,
                                       java.lang.String strExpirationDate,
                                       java.lang.String strProfessionalSuffix,
                                       CWE objAssigningJurisdiction,
                                       CWE objAssigningAgencyOrDepratment,
                                       java.lang.String strSecurityCheck,
                                       java.lang.String strSecurityCheckScheme)

      Set Responsible Physician ID (XCN) This field is about ID of the physician who is responsible for the Service.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setResponsiblePhysicianID

          public void setResponsiblePhysicianID(XCN objResponsiblePhysicianID)

      Set Responsible Physician ID (XCN) This field is about ID of the physician who is responsible for the Service.
      Parameters:
        `XCN` - - object of Responsible Physician ID.

    - #### getRoleExecutingPhysician

          public CWE getRoleExecutingPhysician()

      retrieve Role Executing Physician (CWE) This field is about Account role of the physician, for example only billing for the professional part, the technical part or both.
      Returns:
        CWE - object of Role Executing Physician.

    - #### setRoleExecutingPhysician

          public void setRoleExecutingPhysician(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set Role Executing Physician (CWE) This field is about Account role of the physician, for example only billing for the professional part, the technical part or both.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRoleExecutingPhysician

          public void setRoleExecutingPhysician(CWE objRoleExecutingPhysician)

      Set Role Executing Physician (CWE) This field is about Account role of the physician, for example only billing for the professional part, the technical part or both.
      Parameters:
        `objRoleExecutingPhysician` - - object of Role Executing Physician.

    - #### getMedicalRoleExecutingPhysician

          public CWE getMedicalRoleExecutingPhysician()

      retrieve Medical Role Executing Physician (CWE) This field is about The role of the Physician ("self-employed" or "employed").
      Returns:
        CWE - object of Medical Role Executing Physician.

    - #### setMedicalRoleExecutingPhysician

          public void setMedicalRoleExecutingPhysician(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set Medical Role Executing Physician (CWE) This field is about The role of the Physician ("self-employed" or "employed").
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMedicalRoleExecutingPhysician

          public void setMedicalRoleExecutingPhysician(CWE objMedicalRoleExecutingPhysician)

      Set Medical Role Executing Physician (CWE) This field is about The role of the Physician ("self-employed" or "employed").
      Parameters:
        `objMedicalRoleExecutingPhysician` - - object of Medical Role Executing Physician.

    - #### getSideOfBody

          public CWE getSideOfBody()

      retrieve Side of body (CWE) This field is about The role of the Physician ("self-employed" or "employed").
      Returns:
        CWE - object of Side of body.

    - #### setSideOfBody

          public void setSideOfBody(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set Side of body (CWE) This field is about The role of the Physician ("self-employed" or "employed").
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSideOfBody

          public void setSideOfBody(CWE objSideOfBody)

      Set Side of body (CWE) This field is about The role of the Physician ("self-employed" or "employed").
      Parameters:
        `objSideOfBody` - - object of Side of body.

    - #### getNumberOfTPsPP

          public NM getNumberOfTPsPP()

      retrieve Number of TP's PP (NM) This field is about Cost of the service "professional part" expressed in "points".
      Returns:
        NM - object of Number of TP's PP .

    - #### setNumberOfTPsPP

          public void setNumberOfTPsPP(java.lang.String strNumberOfTPsPP)

      Set Number of TP's PP (NM) This field is about Cost of the service "professional part" expressed in "points".
      Parameters:
        `strNumberOfTPsPP` - - string of Number of TP's PP .

    - #### setNumberOfTPsPP

          public void setNumberOfTPsPP(NM objNumberOfTPsPP)

      Set Number of TP's PP (NM) This field is about Cost of the service "professional part" expressed in "points".
      Parameters:
        `objNumberOfTPsPP` - - object of Number of TP's PP .

    - #### getTP_ValuePP

          public CP getTP_ValuePP()

      Retrieve TP-Value PP (CP) This field is about Monetary Value of one "point" for the professional part of the service.
      Returns:
        CP - object of TP-Value PP

    - #### setTP_ValuePP

          public void setTP_ValuePP(MO objPrice,
                           java.lang.String strPriceType,
                           java.lang.String strFormValue,
                           java.lang.String strToValue,
                           CWE objRangeUnits,
                           java.lang.String strRangeType)

      Set TP-Value PP (CP) This field is about Monetary Value of one "point" for the professional part of the service.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### setTP_ValuePP

          public void setTP_ValuePP(CP objTP_ValuePP)

      Set TP-Value PP (CP) This field is about Monetary Value of one "point" for the professional part of the service.
      Parameters:
        `objTP_ValuePP` - - object of TP-Value PP .

    - #### getInternalScalingFactorPP

          public NM getInternalScalingFactorPP()

      retrieve Internal Scaling Factor PP (NM) This field is about Internal Scaling Factor for the amount of the professional part of the service.
      Returns:
        NM - object of Internal Scaling Factor PP .

    - #### setInternalScalingFactorPP

          public void setInternalScalingFactorPP(java.lang.String strInternalScalingFactorPP)

      Set Internal Scaling Factor PP (NM) This field is about Internal Scaling Factor for the amount of the professional part of the service.
      Parameters:
        `strInternalScalingFactorPP` - - string of Internal Scaling Factor PP .

    - #### setInternalScalingFactorPP

          public void setInternalScalingFactorPP(NM objInternalScalingFactorPP)

      Set Internal Scaling Factor PP (NM) This field is about Internal Scaling Factor for the amount of the professional part of the service.
      Parameters:
        `objInternalScalingFactorPP` - - object of Internal Scaling Factor PP .

    - #### getExternalScalingFactorPP

          public NM getExternalScalingFactorPP()

      retrieve External Scaling Factor PP (NM) This field is about External Scaling Factor for the amount of the professional part of the service.
      Returns:
        NM - object of External Scaling Factor PP .

    - #### setExternalScalingFactorPP

          public void setExternalScalingFactorPP(java.lang.String strExternalScalingFactorPP)

      Set External Scaling Factor PP (NM) This field is about External Scaling Factor for the amount of the professional part of the service.
      Parameters:
        `strExternalScalingFactorPP` - - string of External Scaling Factor PP .

    - #### setExternalScalingFactorPP

          public void setExternalScalingFactorPP(NM objExternalScalingFactorPP)

      Set External Scaling Factor PP (NM) This field is about External Scaling Factor for the amount of the professional part of the service.
      Parameters:
        `objExternalScalingFactorPP` - - object of External Scaling Factor PP .

    - #### getAmountPP

          public CP getAmountPP()

      Retrieve Amount PP (CP) This field is about Total Amount for the professional part of this service.
      Returns:
        CP - object of Amount PP

    - #### setAmountPP

          public void setAmountPP(MO objPrice,
                         java.lang.String strPriceType,
                         java.lang.String strFormValue,
                         java.lang.String strToValue,
                         CWE objRangeUnits,
                         java.lang.String strRangeType)

      Set Amount PP (CP) This field is about Total Amount for the professional part of this service.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### setAmountPP

          public void setAmountPP(CP objAmountPP)

      Set Amount PP (CP) This field is about Total Amount for the professional part of this service.
      Parameters:
        `objAmountPP` - - object of Amount PP .

    - #### getNumberOfTPsTechnicalPart

          public NM getNumberOfTPsTechnicalPart()

      retrieve Number of TP's Technical Part (NM) This field is about Cost of the service (Technical Part) expressed in "points".
      Returns:
        NM - object of Number of TP's Technical Part .

    - #### setNumberOfTPsTechnicalPart

          public void setNumberOfTPsTechnicalPart(java.lang.String strNumberOfTPsTechnicalPart)

      Set Number of TP's Technical Part (NM) This field is about Cost of the service (Technical Part) expressed in "points".
      Parameters:
        `strNumberOfTPsTechnicalPart` - - string of Number of TP's Technical Part .

    - #### setNumberOfTPsTechnicalPart

          public void setNumberOfTPsTechnicalPart(NM objNumberOfTPsTechnicalPart)

      Set Number of TP's Technical Part (NM) This field is about Cost of the service (Technical Part) expressed in "points".
      Parameters:
        `objNumberOfTPsTechnicalPart` - - object of Number of TP's Technical Part .

    - #### getTP_ValueTechnicalPart

          public CP getTP_ValueTechnicalPart()

      Retrieve TP-Value Technical Part (CP) This field is about Monetary Value of one "point" for the technical part of the service.
      Returns:
        CP - object of TP-Value Technical Part

    - #### setTP_ValueTechnicalPart

          public void setTP_ValueTechnicalPart(MO objPrice,
                                      java.lang.String strPriceType,
                                      java.lang.String strFormValue,
                                      java.lang.String strToValue,
                                      CWE objRangeUnits,
                                      java.lang.String strRangeType)

      Set TP-Value Technical Part (CP) This field is about Monetary Value of one "point" for the technical part of the service.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### setTP_ValueTechnicalPart

          public void setTP_ValueTechnicalPart(CP objTP_ValueTechnicalPart)

      Set TP-Value Technical Part (CP) This field is about Monetary Value of one "point" for the technical part of the service.
      Parameters:
        `objTP_ValueTechnicalPart` - - object of TP-Value Technical Part .

    - #### getInternalScalingFactorTechnicalPart

          public NM getInternalScalingFactorTechnicalPart()

      retrieve Internal Scaling Factor Technical Part (NM) This field is about Internal Scaling Factor for the amount of the technical part of the service.
      Returns:
        NM - object of Internal Scaling Factor Technical Part.

    - #### setInternalScalingFactorTechnicalPart

          public void setInternalScalingFactorTechnicalPart(java.lang.String strInternalScalingFactorTechnicalPart)

      Set Internal Scaling Factor Technical Part (NM) This field is about Internal Scaling Factor for the amount of the technical part of the service.
      Parameters:
        `strInternalScalingFactorTechnicalPart` - - string of Internal Scaling Factor Technical Part.

    - #### setInternalScalingFactorTechnicalPart

          public void setInternalScalingFactorTechnicalPart(NM objInternalScalingFactorTechnicalPart)

      Set Internal Scaling Factor Technical Part (NM) This field is about Internal Scaling Factor for the amount of the technical part of the service.
      Parameters:
        `objInternalScalingFactorTechnicalPart` - - object of Internal Scaling Factor Technical Part.

    - #### getExternalScalingFactorTechnicalPart

          public NM getExternalScalingFactorTechnicalPart()

      retrieve External Scaling Factor Technical Part (NM) This field is about External Scaling Factor for the amount of the technical part of the service.
      Returns:
        NM - object of External Scaling Factor Technical Part.

    - #### setExternalScalingFactorTechnicalPart

          public void setExternalScalingFactorTechnicalPart(java.lang.String strExternalScalingFactorTechnicalPart)

      Set External Scaling Factor Technical Part (NM) This field is about External Scaling Factor for the amount of the technical part of the service.
      Parameters:
        `strExternalScalingFactorTechnicalPart` - - string of External Scaling Factor Technical Part.

    - #### setExternalScalingFactorTechnicalPart

          public void setExternalScalingFactorTechnicalPart(NM objExternalScalingFactorTechnicalPart)

      Set External Scaling Factor Technical Part (NM) This field is about External Scaling Factor for the amount of the technical part of the service.
      Parameters:
        `objExternalScalingFactorTechnicalPart` - - object of External Scaling Factor Technical Part.

    - #### getAmountTechnicalPart

          public CP getAmountTechnicalPart()

      Retrieve Amount Technical Part (CP) This field is about Total Amount for the technical part of this service.
      Returns:
        CP - object of Amount Technical Part

    - #### setAmountTechnicalPart

          public void setAmountTechnicalPart(MO objPrice,
                                    java.lang.String strPriceType,
                                    java.lang.String strFormValue,
                                    java.lang.String strToValue,
                                    CWE objRangeUnits,
                                    java.lang.String strRangeType)

      Set Amount Technical Part (CP) This field is about Total Amount for the technical part of this service.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### setAmountTechnicalPart

          public void setAmountTechnicalPart(CP objAmountTechnicalPart)

      Set Amount Technical Part (CP) This field is about Total Amount for the technical part of this service.
      Parameters:
        `objAmountTechnicalPart` - - object of Amount Technical Part .

    - #### getTotalAmountProfessionalPartTechnicalPart

          public CP getTotalAmountProfessionalPartTechnicalPart()

      Retrieve Total Amount Professional Part + Technical Part (CP) This field is about Total Amount of the cost of this service (Professional plus technical part).
      Returns:
        CP - object of Total Amount Professional Part + Technical Part.

    - #### setTotalAmountProfessionalPartTechnicalPart

          public void setTotalAmountProfessionalPartTechnicalPart(MO objPrice,
                                                         java.lang.String strPriceType,
                                                         java.lang.String strFormValue,
                                                         java.lang.String strToValue,
                                                         CWE objRangeUnits,
                                                         java.lang.String strRangeType)

      Set Total Amount Professional Part + Technical Part (CP) This field is about Total Amount of the cost of this service (Professional plus technical part).
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies about the Type of range.

    - #### setTotalAmountProfessionalPartTechnicalPart

          public void setTotalAmountProfessionalPartTechnicalPart(CP objTotalAmountProfessionalPartTechnicalPart)

      Set Total Amount Professional Part + Technical Part (CP) This field is about Total Amount of the cost of this service (Professional plus technical part).
      Parameters:
        `objTotalAmountProfessionalPartTechnicalPart` - - object of Total Amount Professional Part + Technical Part.

    - #### getVAT_Rate

          public NM getVAT_Rate()

      retrieve VAT-Rate (NM) This field is about VAT–Rate Applied on the total amount of this service.
      Returns:
        NM - object of VAT-Rate.

    - #### setVAT_Rate

          public void setVAT_Rate(java.lang.String strVAT_Rate)

      Set VAT-Rate (NM) This field is about VAT–Rate Applied on the total amount of this service.
      Parameters:
        `strVAT_Rate` - - string of VAT-Rate.

    - #### setVAT_Rate

          public void setVAT_Rate(NM objVAT_Rate)

      Set VAT-Rate (NM) This field is about VAT–Rate Applied on the total amount of this service.
      Parameters:
        `objVAT_Rate` - - object of VAT-Rate.

    - #### getMain_Service

          public ID getMain_Service()

      Retrieve Main-Service (ID) This field is about Main-Service .
      Returns:
        ID - object of Main-Service.

    - #### setMain_Service

          public void setMain_Service(java.lang.String strMain_Service)

      Set Main-Service (ID) This field is about Main-Service .
      Parameters:
        `strMain_Service` - - object of Main-Service.

    - #### setMain_Service

          public void setMain_Service(ID objMain_Service)

      Set Main-Service (ID) This field is about Main-Service.
      Parameters:
        `objMain_Service` - - object of Main-Service.

    - #### getValidation

          public ID getValidation()

      Retrieve Validation (ID) This field is about Service line item has passed an approved validator software (yes/no).
      Returns:
        ID - object of Validation.

    - #### setValidation

          public void setValidation(java.lang.String strValidation)

      Set Validation (ID) This field is about Service line item has passed an approved validator software (yes/no).
      Parameters:
        `strValidation` - - object of Validation.

    - #### setValidation

          public void setValidation(ID objValidation)

      Set Validation (ID) This field is about Service line item has passed an approved validator software (yes/no).
      Parameters:
        `objValidation` - - object of Validation.

    - #### getComments

          public ST getComments()

      Retrieve Comments (ST) This field is about Reason why the service line item has not passed the validator software.
      Returns:
        ST - object of Comments.

    - #### setComments

          public void setComments(java.lang.String strComments)

      Retrieve Comments (ST) This field is about Reason why the service line item has not passed the validator software.
      Parameters:
        `strComments` - - object of Comments.

    - #### setComments

          public void setComments(ST objComments)

      Retrieve Comments (ST) This field is about Reason why the service line item has not passed the validator software.
      Parameters:
        `objComments` - - object of Comments.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSL} while parsing PSL segment validate method will check for its mandatory presence. [PSL] in this case validate will throw exception if one tries to enter more than one PSL segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.